<?php

namespace XenGenTr\XenOneCikanKonular\Finder;

use XF\Mvc\Entity\Finder;

class Onecikan extends Finder
{
	public function searchTitle($match, $prefixMatch = false)
	{
		if ($match)
		{
			$this->whereOr(
				[
					$this->expression('CONVERT (%s USING utf8)', 'onecikan_baslik'),
					'LIKE',
					$this->escapeLike($match, $prefixMatch ? '?%' : '%?%')
				]
			);
		}

		return $this;
	}
}